
QGIS Application - Bug report #4593

Graduated fill style doesn't work with bigint

2011-12-01 08:03 PM - Aren Cambre

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Windows 7 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14498

Description

I have a table with a bigint column. The column and its data shows up fine when I view the layer's attribute table. However, when I try to

use a Graduated fill style, it does not show up in the Column selector. All I see is another column that is of integer type.

I could only get this column to work by altering it to be integer.

Associated revisions

Revision a976ecb3 - 2013-03-05 04:30 AM - Nathan Woodrow

Merge pull request #457 from nyalldawson/gradfixes

Allow long/bigint columns to be used for graduated symbology (Fix #4593)

History

#1 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:32 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#3 - 2012-09-04 11:56 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2013-03-04 07:31 PM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"a976ecb32125f9b02b79e4a0c0c05e672b6f4fba".

2025-04-27 1/1


